| Classes - Annotated - Tree - Functions - Home - Structure

# QWSKeyboardHandler Class Reference

Keyboard driver/handler for Qt/Embedded More...

`#include <qkeyboard_qws.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QWSKeyboardHandler ()
- virtual ~QWSKeyboardHandler ()

## Protected Members

- virtual void processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )

## Detailed Description

Keyboard driver/handler for Qt/Embedded

The keyboard driver/handler handles events from system devices and generates key events.

A QWSKeyboardHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call processKeyEvent() to send the event to Qt/Embedded for relaying to clients.

## Member Function Documentation

### void QWSKeyboardHandler::processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) `[virtual protected]`

Subclasses call this to send a key event. The server may additionally filter it before sending it on to applications.

- unicode is the Unicode value for the key, or 0xFFFF is none is appropriate.
- keycode is the Qt keycode for the key (see Qt::Key). for the list of codes).
- modifiers is the set of modifier keys (see Qt::Modifier).
- isPress says whether this is a press or a release.
- autoRepeat says whether this event was generated by an auto-repeat mechanism, or an actual key press.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.